Name: tkdiff
Version: 4.0.0
Release: alt2
Summary: An tcl/tk based graphical interface to the DIFF utility
Summary(ru_RU.KOI8-R):    DIFF
License: GPL
Group: Development/Other
Source: %name-%version.tar.gz
Source1: icons-%name.tar.bz2
Url: http://tkdiff.sf.net
Requires: tk
Requires: diffutils
BuildArch: noarch
Autoreq: yes, noshell

%description
tkDIFF is a Tk based graphical interface to the DIFF utility.

%description -l ru_RU.KOI8-R
tkDiff -     DIFF -     .       .


%prep
%setup -q -n %name

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
install tkdiff $RPM_BUILD_ROOT%_bindir/tkdiff

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="tkdiff.xpm" section="Applications/Development/Tools"  title=TkDiff longtitle="Graphical Front-End for diff" command=tkdiff
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%_iconsdir
tar xIvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc COPYING

%attr(755,root,root) %prefix/bin/*

%_libdir/menu/%name
%_iconsdir/%name.xpm
%_iconsdir/large/%name.xpm
%_iconsdir/mini/%name.xpm


%changelog
* Mon May 16 2004 Sergey Kalinin <banzaj@altlinux.ru> 4.0.0-alt2
- SPEC file changes - Summary fixed

* Tue Mar 30 2004 Sergey Kalinin <banzaj@altlinux.ru> 4.0.0-alt1
- Inline diff highlighting
- Current line comparison window
- Support for Subversion
- better tolerance of Windows filenames
- CDE, Windows, and MacOSX aware
